Album: Homestuck For Orchestra EP
Artists:
- Walt Ribeiro
Date: October 16, 2012
Date Added: January 1, 2023
URLs:
- https://fororchestra.bandcamp.com/album/homestuck-for-orchestra-ep
Cover Artists:
- Walt Ribeiro
Art Tags:
- Real-world Humans
Color: '#7dc4ea'
Groups:
- Fandom
---
Track: Homestuck 'Fuchsia Ruler' For Orchestra
Duration: 04:56
URLs:
- https://fororchestra.bandcamp.com/track/homestuck-fuchsia-ruler-for-orchestra
Cover Artists:
- Walt Ribeiro
Art Tags:
- Real-world Humans
Referenced Tracks:
- track:fuchsia-ruler
---
Track: Homestuck 'Sburban Jungle' For Orchestra
Date First Released: November 15, 2012
Duration: 05:00
URLs:
- https://fororchestra.bandcamp.com/track/homestuck-sburban-jungle-for-orchestra
Cover Artists:
- Walt Ribeiro
Art Tags:
- Real-world Humans
Referenced Tracks:
- Sburban Jungle
---
Track: Homestuck 'MeGaLoVania' For Orchestra
Duration: 04:59
URLs:
- https://fororchestra.bandcamp.com/track/homestuck-megalovania-for-orchestra
Cover Artists:
- Walt Ribeiro
Art Tags: 
- Real-world Humans
Referenced Tracks:
- track:MeGaLoVania
---
Track: Homestuck 'Rex Duodecim Angelus' For Orchestra
Date First Released: May 5, 2013
Duration: 07:00
URLs:
- https://fororchestra.bandcamp.com/track/homestuck-rex-duodecim-angelus-for-orchestra
Cover Artists:
- Walt Ribeiro
Art Tags:
- Real-world Humans
Referenced Tracks:
- Rex Duodecim Angelus
